public class Payee {

    private String familyName;
    private String givenName;
    private String emailAddress;

    public Payee(String familyName, String givenName, String emailAddress){
        this.familyName = familyName;
        this.givenName = givenName;
        this.emailAddress = emailAddress;
    }

    public String getFamilyName() {
        return familyName;
    }

    public String getGivenName() {
        return givenName;
    }

    public String getEmailAddress() {
        return emailAddress;
    }

    @Override
    public boolean equals(Object o) {
        Payee otherPayee = (Payee) o;
        if(!(otherPayee.getFamilyName().equals(familyName)))
            return false;
        if(!otherPayee.getEmailAddress().equals(emailAddress))
            return false;
        if(!otherPayee.getGivenName().equals(givenName))
            return false;

        return true;
    }
    // ... and a bunch more hidden stuff: for testing purposes only


}
